<template>
    <div>
        <el-button @click="outerVisible = true">流程测试</el-button>
        <el-button @click="visibleStage = true">模板阶段</el-button>
        <el-button @click="handleTable">table穿梭框</el-button>
        <flow-business :visible.sync="outerVisible"></flow-business>
        <stage code="8b5e2017-990f-454a-9c39-4c4eeeb57553"></stage>
        <table-transfer :visible.sync="visibleTable" v-model="value" :dataList="list" :columns="columns" keyName="id"
            @save="handleSave"></table-transfer>
    </div>
</template>

<script>
import FlowBusiness from '@/components/template/Business'
import FlowPath from '@/components/template/FlowPath'
import Stage from '@/components/template/Stage'
import TableTransfer from '@/components/template/TableTransfer'
export default {
    components: {
        FlowBusiness,
        FlowPath,
        Stage,
        TableTransfer
    },
    data() {
        const getTables = () => {
            let data = []
            for (let i = 0; i < 5; i++) {
                let item = {
                    id: `${i + 1}`,
                    name: 'name',
                    address: `集团码${i + 1}`,
                    data: '',
                    checked: i === 1 ? true : false,
                }
                data.push(item)
            }
            return data
        }
        return {
            list: getTables(),
            value: ['2'],
            outerVisible: false,
            visibleFlow: false,
            visibleStage: false,
            visibleTable: false,

            columns: [
                {
                    key: "id",
                    label: "id",
                    visible: false,
                },
                {
                    key: "name",
                    label: "属性编号",
                    visible: true,
                },
                {
                    key: "address",
                    label: "属性名称",
                    visible: true,
                },
                {
                    key: "address",
                    label: "属性分组",
                    visible: true,
                },
            ],

        }
    },
    methods: {
        handleSave(event) {
            console.log(event)
        },
        handleTable(){
            this.visibleTable = true
            // this.$nextTick(()=>{

            // })
        }
    }
}
</script>
<style lang="scss" scoped></style>